"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemVerilogHierarchyCalculator = void 0;
const genutils_1 = require("./genutils");
class SystemVerilogHierarchyCalculator {
    constructor(indexer) {
        this._indexer = indexer;
        this._fileName = genutils_1.tmpFileManager.getTmpFilePath("hier", "rpt.json");
    }
    calcHier(cntnrName) {
        genutils_1.fsWriteFileSync(this._fileName, JSON.stringify(this._indexer.getHier(cntnrName), null, 2));
        return genutils_1.pathToUri(this._fileName);
    }
}
exports.SystemVerilogHierarchyCalculator = SystemVerilogHierarchyCalculator;
