import { SignatureHelp } from 'vscode-languageserver/node';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { SystemVerilogIndexer } from './svindexer';
export declare class SystemVerilogSignatureHelpProvider {
    private _indexer;
    constructor(indexer: SystemVerilogIndexer);
    private _getScopeType;
    private _getArgNum;
    getSignatures(document: TextDocument, line: number, character: number): SignatureHelp;
}
