import { CompletionItem, Position } from 'vscode-languageserver/node';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { SystemVerilogIndexer } from './svindexer';
export declare class SystemVerilogCompleter {
    private _indexer;
    constructor(indexer: SystemVerilogIndexer);
    private _stringlistToCompletionItems;
    completionItems(document: TextDocument, position: Position): CompletionItem[];
    private _getTokenTopScope;
    private _getPrevTokenNum;
    private _getHierInstType;
    private _getInstanceCompletions;
}
