export declare const test_grammar: {
    Main: {
        scopeName: string;
        patterns: {
            include: string;
        }[];
    };
    AllAllow: {
        patterns: {
            include: string;
        }[];
    };
    BeginEndBlock: {
        patterns: {
            match: any;
            tokens: string[];
            push: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    ElseBlock: {
        patterns: {
            match: any;
            tokens: string[];
            applyState: string;
            bank: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    GeneralParanthesesBlock: {
        patterns: {
            match: any;
            tokens: string[];
            stack: {
                scopeName: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
    IfBlock: {
        patterns: {
            match: any;
            tokens: string[];
            saveState: string;
            bank: {
                scopeName: string;
                stashOnPop: string;
                patterns: ({
                    match: any;
                    tokens: string[];
                    pop: string;
                    include?: undefined;
                } | {
                    include: string;
                    match?: undefined;
                    tokens?: undefined;
                    pop?: undefined;
                })[];
            };
        }[];
    };
};
